-- this is Lua for future expansion
return Def.ActorFrame{
	LoadActor( "group" );
	-- todo: for all our cool groups, have custom text
	Def.Sprite{
		Name="PrettyGroupName";
		InitCommand=cmd(y,-8);
		SetCommand=function(self,param)
			local group = param.SongGroup;
			local GroupNameGraphics = {
				ClubPara = "Club",
				FreeStyle = "FreeStyle",
				ParaPara = "Para",
				TechPara = "Tech",
				TraPara = "Tra",
			};
			local wheelItem = self:GetParent():GetParent()
			if GroupNameGraphics[group] then
				self:Load( THEME:GetPathG("ScreenSelectPlayMode","scroll/_text "..GroupNameGraphics[group]) );
				self:zoom(0.625);
				self:visible(true);
				-- hide text banya
				wheelItem:GetChild("SectionCollapsed"):visible(false);
				wheelItem:GetChild("SectionExpanded"):visible(false);
			else
				self:visible(false);
				-- show text banya
			end;
		end;
	};
};